<template>
  <div id="app">
    <header>
      <router-link to="/"><img src="../src/assets/logo.png"></router-link>
      <router-link to="/listing" id="idMesListes">Mes Listes</router-link>
    </header>
    <div id="routerView">
      <router-view/>
    </div>
    <footer>
      <p>Copyright© Fournier Florian</p>
    </footer>
  </div>
</template>


<style>
*{
  margin :0;
  padding:0;
}

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
   min-height: 100%;
}

h1, h2{
  margin-top : 20px;
  margin-bottom : 20px;
}

#routerView p{
  margin-top : 10px;
  margin-bottom : 20px;
}

/*     #routerView       */
#routerView{
  margin-right: 20%;
  margin-left : 20%;
  margin-bottom : 50px;
}  

/*        Header         */
header{
  height: 100px;
  background-color: rgb(130, 145, 230);
}

header img{
  height: 50px;
  margin : 25px 25px 25px 25px;
}

header #idMesListes{
  text-decoration: none;
  color: white;
  float: right;
  margin : 40px 100px 25px 25px;
}

header #idMesListes:hover{
  color: rgb(248, 142, 55);
}

/*        Footer         */
footer{
  background-color: rgb(130, 145, 230);
  width: 100%;
  text-align: center;
  bottom: 0;
  position: fixed;
}
footer p{
  color : white;
  padding-top: 10px;
  padding-bottom: 10px;
}


</style>
